unit PicTune;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, ExtCtrls, Mask, ComCtrls, Parser, FileCtrl;

type
  TTuneDlg = class(TForm)
    lbDir: TListBox;
    DelBtn: TSpeedButton;
    AddBtn: TSpeedButton;
    Bevel1: TBevel;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    edX: TMaskEdit;
    edY: TMaskEdit;
    udX: TUpDown;
    udY: TUpDown;
    cbPropEdit: TCheckBox;
    Label3: TLabel;
    pnBackColor: TPanel;
    ColorDlg: TColorDialog;
    Label4: TLabel;
    edFiles: TEdit;
    cbBigImage: TCheckBox;
    Panel1: TPanel;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    cbEmptyImage: TCheckBox;
    Bevel2: TBevel;
    procedure AddBtnClick(Sender: TObject);
    procedure DelBtnClick(Sender: TObject);
    procedure OkBtnClick(Sender: TObject);
    procedure lbDirClick(Sender: TObject);
    procedure lbDirKeyPress(Sender: TObject; var Key: Char);
    procedure pnBackColorDblClick(Sender: TObject);
  private
    { Private declarations }
    procedure SetButtons;
  public
    { Public declarations }
    Form: TForm;
    function Open: TModalResult;
  end;

var
  TuneDlg: TTuneDlg;

implementation

uses PicView;

{$R *.DFM}

Procedure TTuneDlg.SetButtons;
Begin
  DelBtn.Enabled := lbDir.ItemIndex>-1;
End;

procedure TTuneDlg.AddBtnClick(Sender: TObject);
var
  S: String;
begin
  S := '';
  IF SelectDirectory(S,[],0) Then
    lbDir.Items.Add(S);
  SetButtons;
end;

procedure TTuneDlg.DelBtnClick(Sender: TObject);
begin
  IF MessageDlg('    '+lbDir.Items[lbDir.ItemIndex]+' ?',
    mtWarning,[mbYes,mbNo],0)=mrYes Then
    lbDir.Items.Delete(lbDir.ItemIndex);
  SetButtons;
end;

function TTuneDlg.Open: TModalResult;
var
  Str : TStrings;
  i : Integer;
begin
  With (Form as TPicViewForm).Ini do
  begin
    udX.Position := ReadInteger('Config','Width',25);
    udY.Position := ReadInteger('Config','Height',25);
    pnBackColor.Color := ReadInteger('Config','BackColor',clBlack);
    edFiles.Text := ReadString('Config','ExeFiles','*.Exe;*.Dll;*.Dpl');
    cbBigImage.Checked := ReadBool('Config','BigImage',True);
    cbEmptyImage.Checked := ReadBool('Config','EmptyImage',True);
    cbPropEdit.Checked := ReadBool('Config','PropEdit',True);
    Str := TStringList.Create;
    ReadSectionValues(DirSect,Str);
    lbDir.Items.Clear;
    For i := 0 to Str.Count-1 do
      lbDir.Items.Add(GetWord(Str[i],2,['=']));
    Str.Free;
    SetButtons;
  end;
  Result := ShowModal;
end;

procedure TTuneDlg.OkBtnClick(Sender: TObject);
var
  i : Integer;
begin
  With (Form as TPicViewForm).Ini do
  begin
    WriteInteger('Config','Width',udX.Position);
    WriteInteger('Config','Height',udY.Position);
    WriteBool('Config','PropEdit',cbPropEdit.Checked);
    WriteInteger('Config','BackColor',pnBackColor.Color);
    WriteString('Config','ExeFiles',edFiles.Text);
    WriteBool('Config','BigImage',cbBigImage.Checked);
    WriteBool('Config','EmptyImage',cbEmptyImage.Checked);
    EraseSection(DirSect);
    For i := 0 to lbDir.Items.Count-1 do
      WriteString(DirSect,IntToStr(i),lbDir.Items[i]);
  end;
end;

procedure TTuneDlg.lbDirClick(Sender: TObject);
begin
  SetButtons;
end;

procedure TTuneDlg.lbDirKeyPress(Sender: TObject; var Key: Char);
begin
  SetButtons;
end;

procedure TTuneDlg.pnBackColorDblClick(Sender: TObject);
begin
  ColorDlg.Color := pnBackColor.Color;
  IF ColorDlg.Execute Then
    pnBackColor.Color := ColorDlg.Color;
end;

end.
